<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
>

<!-- = definice "vestavenych" sablon - v MS IE 5 nejsou vestavene, proto je zde zvlast definuji (pozn.: schvalne nejsou strukturovany) -->

   <xsl:template match="*"><xsl:apply-templates/></xsl:template>

   <xsl:template match="text()"><xsl:value-of select="."/></xsl:template>

<!-- = zaklad stranky = -->

  <xsl:template match="/">
      <html>
      <!-- HTML hlavicka -->
      <head>
         <title>
            <xsl:value-of select="table/query/title"/>
         </title>
         <base>
            <xsl:attribute name="href"><xsl:value-of select="table/query/base/@href"/></xsl:attribute>
         </base>
         <link rel="stylesheet" type="text/css" href="../lib/maccess.css"></link>
         <link rel="stylesheet" type="text/css" href="../lib/template_update.css"></link>
         <link rel="stylesheet" type="text/css" media="print" href="../lib/maccess_print.css"></link>
         <script type="text/javascript" src="../lib/focusFirstBox.js"></script>
      </head>
      <!-- HTML telicko -->
      <body onload="focusFirstBox()">
         <!-- zahlavi dokumentu -->
         <xsl:apply-templates select="table/query/header"/>
         <!-- formular -->
         <div id="restore">
            <xsl:apply-templates select="table"/>
         </div>
         <!-- pata dokumentu -->
         <p>
            <xsl:apply-templates select="table/query/footer"/>
         </p>
      </body>
      </html>
   </xsl:template>  
  
<!-- = formular = -->

   <xsl:template match="/table">
      <form method="post" action="do.phtml">
         <div>
            <input type="hidden" name="id">
               <xsl:attribute name="value"><xsl:value-of select="query/id"/></xsl:attribute>
            </input>
         </div>
         <table cellspacing="5px">
            <colgroup>
               <col valign="top"/>
               <col/>
            </colgroup>
            <xsl:apply-templates select="cols/col"/>
         </table>
         <xsl:if test="cols/col/@update">
            <xsl:apply-templates select="query/buttons"/>
         </xsl:if>
      </form>
   </xsl:template>

   <!-- radky formulare -->
   <xsl:template match="/table/cols/col">
      <xsl:variable name="position" select="position()"/>
      <xsl:variable name="sqlname" select="/table/cols/col[position()=$position]/@sqlname"/>
      <xsl:variable name="sqljoin" select="/table/cols/col[position()=$position]/@sqljoin"/>
      <xsl:variable name="sqljoinexist" select="/table/cols/col[attribute::sqlname=$sqljoin]/@sqlname"/>
      <xsl:variable name="noupdatejoinfrom" select="/table/cols/col[attribute::sqljoin=$sqlname and attribute::update!=1]/@sqlname"/>
      <!-- primarni klice -->
      <xsl:if test="/table/cols/col[position()=$position]/@prikey and /table/cols/col[position()=$position]/@update">
         <input type="hidden">
            <xsl:attribute name="name">PRI.<xsl:value-of select="$sqlname"/></xsl:attribute>
         </input>
      </xsl:if>
      <!-- napojeni hodnot na jine hodnoty - plynouci ze spojovaciho vyrazu tabulek -->
      <xsl:if test="$sqljoin and $sqljoinexist">
         <input type="hidden">
            <xsl:attribute name="name">JOIN.<xsl:value-of select="$sqlname"/></xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="$sqljoin"/></xsl:attribute>
         </input>
      </xsl:if>
      <xsl:if test="$sqljoin and not($sqljoinexist) and /table/cols/col[position()=$position]/@update">
         <input type="hidden">
            <xsl:attribute name="name">JOIN.<xsl:value-of select="$sqljoin"/></xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="$sqlname"/></xsl:attribute>
         </input>
      </xsl:if>
      <!-- tisk hodnot v tabulce -->
      <xsl:if test="(not($sqljoin) and /table/cols/col[position()=$position]/@update and not($noupdatejoinfrom)) or ($sqljoin and not($sqljoinexist) and /table/cols/col[position()=$position]/@update)">
         <tr>
            <td>
               <xsl:if test="/table/cols/col[position()=$position]/@prikey">
                  <xsl:attribute name="style">font-weight: bold;</xsl:attribute>
               </xsl:if>
               <xsl:value-of select="/table/cols/col[position()=$position]/@name"/>:
            </td>
            <td>
               <xsl:choose>
                  <xsl:when test="/table/cols/col[position()=$position]/@sqltype!='tinytext' and /table/cols/col[position()=$position]/@sqltype!='text' and /table/cols/col[position()=$position]/@sqltype!='mediumtext' and /table/cols/col[position()=$position]/@sqltype!='longtext'">
                     <input type="text" size="50" class="text">
                        <xsl:attribute name="name"><xsl:value-of select="$sqlname"/></xsl:attribute>
                        <xsl:if test="/table/cols/col[position()=$position]/@sqltype='char' or /table/cols/col[position()=$position]/@sqltype='varchar'">
                           <xsl:attribute name="maxlength"><xsl:value-of select="/table/cols/col[position()=$position]/@length"/></xsl:attribute>
                        </xsl:if>
                     </input>
                  </xsl:when>
                  <xsl:otherwise>
                     <textarea cols="39" rows="5" class="text">
                        <xsl:attribute name="name"><xsl:value-of select="$sqlname"/></xsl:attribute>
                     </textarea>
                  </xsl:otherwise>
               </xsl:choose>
            </td>
         </tr>
      </xsl:if>
   </xsl:template>

<!-- = vsechny elementy xhtml zkopiruji na vystup svuj strom -->

   <xsl:template match="xhtml//@*|xhtml//*"><xsl:copy><xsl:apply-templates select="@*|*|text()"/></xsl:copy></xsl:template>

<!-- = hlavni promene -->
   <xsl:variable name="col_count" select="count(/table/cols/col)"/>

</xsl:stylesheet>
