<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/TR/WD-xsl"
   xmlns="http://www.w3.org/1999/xhtml"
>

<!-- !!! Sablona je celmi podobna s sablonou template_table.xsl - pokud ji budes opravovat, tak pripadnou upravu pokud to pujde zakomponuj i do te druhe -->

<!-- = definice "vestavenych" sablon - v MS IE 5 nejsou vestavene, proto je zde zvlast definuji (pozn.: schvalne nejsou strukturovany) -->

   <xsl:template match="*"><xsl:apply-templates/></xsl:template>

   <xsl:template match="text()"><xsl:value-of select="."/></xsl:template>

<!-- = zaklad stranky = -->

  <xsl:template match="/">
      <html>
      <!-- HTML hlavicka -->
      <head>
         <title>
            <xsl:value-of select="table/query/title"/>
         </title>
         <base>
            <xsl:attribute name="href"><xsl:value-of select="table/query/base/@href"/></xsl:attribute>
         </base>
         <link rel="stylesheet" type="text/css" href="../lib/maccess.css"></link>
         <link rel="stylesheet" type="text/css" href="../lib/template_xml_table.css"></link>
         <link rel="stylesheet" type="text/css" media="print" href="../lib/maccess_print.css"></link>
         <script type="text/javascript" src="../lib/template_xml_table.js"></script>
      </head>
      <!-- HTML telicko -->
      <body>
         <!-- zahlavi dokumentu -->
         <xsl:apply-templates select="table/query/header"/>
         <!-- pomocne objekty pro spec nastaveni a ovladaci prvky spec nastaveni -->
         <xsl:apply-templates select="table/query/special_settings/control"/>
         <!-- tabulka -->
         <div id="restore">
            <xsl:apply-templates select="table"/>
         </div>
         <!-- limit -->
         <p>
            <xsl:apply-templates select="table/query/limit"/>
         </p>
         <!-- pata dokumentu -->
         <p>
            <xsl:apply-templates select="table/query/footer"/>
         </p>
      </body>
      </html>
   </xsl:template>  
  
<!-- = tabulka = -->

   <xsl:template match="/table">
      <table cellspacing="0px">
         <!-- zakladni informace o sloupcich - zarovnani, viditelnost a podobne -->
         <colgroup>
            <xsl:for-each select="cols/col">
               <col>
                  <xsl:attribute name="align"><xsl:choose><xsl:when test=".[@type='number' or @type='date' or @type='time' or @type='dateTime']">right</xsl:when><xsl:otherwise>left</xsl:otherwise></xsl:choose></xsl:attribute>
                  <xsl:attribute name="class">chosen<xsl:value-of select="@chosen"/></xsl:attribute>
                  <xsl:attribute name="style"><xsl:choose><xsl:when test=".[@show='1']">display:;</xsl:when><xsl:otherwise>display: none;</xsl:otherwise></xsl:choose></xsl:attribute>
               </col>
               <xsl:eval>
                  col_count_ini(this);
                  formatA_ini(this);
               </xsl:eval>
            </xsl:for-each>
         </colgroup>
         <!-- hlavicka tabulky -->
         <tr>
            <xsl:apply-templates select="cols/col"/>
         </tr>
         <xsl:eval>
            summaryA_ini_first();
         </xsl:eval>
         <!-- telo tabulky -->
         <xsl:apply-templates select="rows"/>
      </table>
   </xsl:template>

   <!-- hlavicka tabulky -->
   <xsl:template match="/table/cols/col">
      <th>
         <xsl:choose>
            <xsl:when test=".[@name!='icon']">
               <span style="cursor:hand">
                  <xsl:attribute name="onclick">javascript:sort(<xsl:value-of select="@number"/>)</xsl:attribute>
                  <xsl:apply-templates/>
               </span>
               <a class="button">
                  <xsl:attribute name="href">javascript:spec_change_window(<xsl:value-of select="@number"/>)</xsl:attribute>
                  <img style="vertical-align: top" src="../lib/format.gif" border="0"/>
               </a>
            </xsl:when>
            <xsl:otherwise>
               <xsl:apply-templates/>
            </xsl:otherwise>
         </xsl:choose>
      </th>
   </xsl:template>

   <!-- telo tabulky -->
   <xsl:template match="/table//rows">
      <xsl:eval>
         summaryA_ini(depth(this)-2);
      </xsl:eval>
      <xsl:choose>
         <xsl:when test="row">
            <xsl:apply-templates select="rows_heading"/>
            <xsl:apply-templates id="row" select="row" order-by="nothing"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:apply-templates/>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:eval>
         depth_now=depth(this)-2;
         summaryA_add_depth(depth_now);
      </xsl:eval>
      <!-- suma tabulky -->
      <xsl:if test="/table/cols/col[@summary='sum']">
         <xsl:if test=".[not(row)]">
            <tr>
               <td style="font-size: 0px">
                  <xsl:attribute name="colspan"><xsl:eval>col_count</xsl:eval></xsl:attribute>
                  <xsl:attribute name="class">heading<xsl:eval>depth_now</xsl:eval></xsl:attribute>
                  &#160;
               </td>
            </tr>
         </xsl:if>
         <tr>
            <xsl:for-each select="/table/cols/col">
               <td>
                  <xsl:attribute name="class">summary<xsl:eval>depth_now</xsl:eval></xsl:attribute>
                  <xsl:choose>
                     <xsl:when test=".[@summary='sum']">
                        <xsl:eval>
                           formatNumber(summaryA[absoluteChildNumber(this)][depth_now],formatA[absoluteChildNumber(this)]);
                        </xsl:eval>
                     </xsl:when>
                     <xsl:otherwise>
                        &#160;
                     </xsl:otherwise>
                  </xsl:choose>
               </td>
            </xsl:for-each>
         </tr>
      </xsl:if>
   </xsl:template>

   <!-- nadpisy group -->
   <xsl:template match="/table//rows/rows_heading">
      <tr>
         <xsl:if test="/table/cols/col[@name='icon']">
            <td>
            </td>
         </xsl:if>
         <td>
            <xsl:choose>
               <xsl:when test="/table/cols/col[@name='icon']">
                  <xsl:attribute name="colspan"><xsl:eval>col_count</xsl:eval></xsl:attribute>
               </xsl:when>
               <xsl:otherwise>
                  <xsl:attribute name="colspan"><xsl:eval>col_count</xsl:eval></xsl:attribute>
               </xsl:otherwise>
            </xsl:choose>
            <xsl:attribute name="class">heading<xsl:eval>(depth(this)-3)</xsl:eval></xsl:attribute>
            <xsl:if test="@style">
               <xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
            </xsl:if>
            <div>
               <xsl:choose>
                  <xsl:when test=".[not(@href)]">
                        <xsl:apply-templates/>
                  </xsl:when>
                  <xsl:otherwise>
                     <a>
                        <xsl:if test="@style">
                           <xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
                        </xsl:if>
                        <xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
                        <xsl:apply-templates/>
                     </a>
                  </xsl:otherwise>
               </xsl:choose>
            </div>
         </td>
      </tr>
   </xsl:template>

   <!-- radky tabulky -->
   <xsl:template match="/table//rows/row">
      <tr>
         <xsl:attribute name="onclick">change_class(this,<xsl:value-of select="@number"/>)</xsl:attribute>
         <xsl:if test=".[@chosen!='0']"><xsl:attribute name="class">chosen<xsl:value-of select="@chosen"/></xsl:attribute></xsl:if>
         <xsl:for-each select="*">
            <td>
               <xsl:if test="@style">
                  <xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
               </xsl:if>
               <xsl:choose>
                  <xsl:when test=".[not(@href)]">
                        <xsl:apply-templates select="."/>
                  </xsl:when>
                  <xsl:otherwise>
                     <a>
                        <xsl:if test="@style">
                           <xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
                        </xsl:if>
                        <xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
                        <xsl:apply-templates select="."/>
                     </a>
                  </xsl:otherwise>
               </xsl:choose>
            </td>
         </xsl:for-each>
      </tr>
   </xsl:template>

   <!-- jednotlive hodnoty bunky tabulky - podminky jsou tu mirne neprehledne, ale to kvuli optimalizaci rychlosti -->
   <xsl:template match="(/table//rows/row/*)|(/table//rows/rows_heading/*)">
      <xsl:choose>
         <!-- hodnota nema urcen datovy typ -->
         <xsl:when test=".[not(@dt:dt)]">
            <xsl:choose>
               <xsl:when test=".[xhtml]">
                  <xsl:apply-templates/>
               </xsl:when>
               <xsl:when test="text()">
                  <xsl:value-of select="."/>
               </xsl:when>
               <xsl:otherwise>
                  &#160;
               </xsl:otherwise>
            </xsl:choose>
         </xsl:when>
         <!-- hodnota ma urcen datovy typ -->
         <xsl:otherwise>
            <!-- zjisteni formatu -->
            <xsl:eval>
               var format=formatA[absoluteChildNumber(this)];
            </xsl:eval>
            <xsl:choose>
               <!-- pro sloupec neni definovano formatovani -->
               <xsl:when expr="format==''">
                  <xsl:eval>
                     this.nodeTypedValue;
                  </xsl:eval>
                  <xsl:if test=".[@dt:dt='number']">
                     <!-- pocitani sumy 1 - u neformatovanych cisel -->
                     <xsl:eval>
                        summaryA_add(1*this.nodeTypedValue,absoluteChildNumber(this),depth(this)-4);
                     </xsl:eval>
                  </xsl:if>
               </xsl:when>
               <!-- pro sloupec je definovano formatovani -->
               <xsl:otherwise>
                  <xsl:choose>
                     <xsl:when test=".[@dt:dt='number']">
                        <!-- pocitani sumy 2 - u formatovanych cisel -->
                        <xsl:eval>
                           summaryA_add(1*this.nodeTypedValue,absoluteChildNumber(this),depth(this)-4);
                           formatNumber(1*this.nodeTypedValue,format);
                        </xsl:eval>
                     </xsl:when>
                     <xsl:when test=".[@dt:dt='date']">
                        <xsl:eval>
                           formatDate(this.nodeTypedValue,format);
                        </xsl:eval>
                     </xsl:when>
                     <xsl:when test=".[@dt:dt='time']">
                        <xsl:eval>
                           formatTime(this.nodeTypedValue,format);
                        </xsl:eval>
                     </xsl:when>
                     <xsl:when test=".[@dt:dt='dateTime']">
                        <xsl:eval>
                           var re=/[yMd]/;
                        </xsl:eval>
                        <xsl:choose>
                           <xsl:when expr="re.test(format)">
                              <xsl:eval>
                                 formatDate(this.nodeTypedValue,format);
                              </xsl:eval>
                           </xsl:when>
                           <xsl:otherwise>
                              <xsl:eval>
                                 formatTime(this.nodeTypedValue,format);
                              </xsl:eval>
                           </xsl:otherwise>
                        </xsl:choose>
                     </xsl:when>
                  </xsl:choose>
               </xsl:otherwise>
            </xsl:choose>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

<!-- = limit -->

   <xsl:template match="/table/query/limit">
      <a>
         <xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
         <xsl:value-of select="."/>
      </a>
   </xsl:template>

<!-- = vsechny elementy xhtml zkopiruji na vystup svuj strom -->

   <xsl:template match="(xhtml//@*)|(xhtml//*)"><xsl:copy><xsl:apply-templates select="@*|*|text()"/></xsl:copy></xsl:template>

<!-- = skripty -->

   <xsl:script>
   <![CDATA[
      var col_count=0;
      var summaryA=new Array();
      var formatA=new Array();
      var depth_now=0;
      function col_count_ini() {
         ++col_count;
      }
      function summaryA_ini_first() {
         for(col=0;col<=col_count;++col) {
            summaryA[col]=new Array();
         }
      }
      function summaryA_ini(depth_work) {
         for(col=0;col<=col_count;++col) {
            summaryA[col][depth_work]=0;
         }
      }
      function summaryA_add(val,col,depth_work) {
         summaryA[col][depth_work]+=val;
      }
      function summaryA_add_depth(depth_now) {
         for(col=0;col<=col_count;++col) {
            summaryA[col][depth_now-1]+=summaryA[col][depth_now];
         }
      }
      function formatA_ini(node) {
         formatA[absoluteChildNumber(node)]=node.selectSingleNode("@format").text;
      }
   ]]>
   </xsl:script>
</xsl:stylesheet>
